MS00-094: Patch Available for "Phone Book Service Buffer Overflow" Vulnerability

Article translations Article translations
Article ID: 276575 - View products that this article applies to.
This article was previously published under Q276575
This article has been archived. It is offered "as is" and will no longer be updated.
Expand all | Collapse all

On This Page

Symptoms

Microsoft has released a patch that eliminates a security vulnerability in the optional Phone Book service that is included with Windows NT 4.0-based and Windows 2000-based servers. This vulnerability could allow a malicious user to run code on a remote server that is running the service.

The Phone Book service is an optional component that is included with Microsoft Windows NT 4.0 Option Pack and Windows 2000. This service is used in conjunction with Dial-Up Networking clients to provide computers with a pre-populated list of Dial-Up Networking servers.

Because of an unchecked buffer in the Phone Book service, a particular type of malformed URL could be used to run arbitrary code on a Web server that is running Microsoft Internet Information Server 4.0 or Internet Information Services and is running the Phone Book service. This could potentially allow a malicious user to gain privileges on the computer that are the same as those of the IUSR_computername account (Internet Information Server 4.0) or the IWAM_computername account (Internet Information Services). The IUSR account and the IWAM account are members of the Everyone group. In some cases, members of the Everyone group, including the accounts listed earlier, can run operating system commands on the Web server.

Although this vulnerability does not grant the malicious user administrative-level privileges, it could give the malicious user the ability to add, change, or delete specific data; run code that is already on the server; or upload new code to the server and run it.

The Phone Book service is not installed by default on servers that are running Internet Information Server 4.0 or Internet Information Services. Instead, this service must be specifically installed by using the Windows NT 4.0 Option Pack or Windows 2000 optional networking components. Customers who have not installed this service are not at risk from this vulnerability.

For additional information about this vulnerability, see the following Microsoft Web site:
http://www.microsoft.com/technet/security/bulletin/MS00-094.mspx

Resolution

Windows 2000

To resolve this problem, obtain the latest service pack for Windows 2000. For additional information, click the following article number to view the article in the Microsoft Knowledge Base:
260910 How to Obtain the Latest Windows 2000 Service Pack
The following files are available for download from the Microsoft Download Center:
Collapse this imageExpand this image
Download
English Language Version

Collapse this imageExpand this image
Download
Chinese (Simplified) Language Version

Collapse this imageExpand this image
Download
Chinese (Traditional) Language Version

Collapse this imageExpand this image
Download
Czech Language Version

Collapse this imageExpand this image
Download
Dutch Language Version

Collapse this imageExpand this image
Download
French Language Version

Collapse this imageExpand this image
Download
German Language Version

Collapse this imageExpand this image
Download
Hungarian Language Version

Collapse this imageExpand this image
Download
Italian Language Version

Collapse this imageExpand this image
Download
Japanese Language Version

Collapse this imageExpand this image
Download
Japanese NEC Language Version

Collapse this imageExpand this image
Download
Korean Language Version

Collapse this imageExpand this image
Download
Polish Language Version

Collapse this imageExpand this image
Download
Portuguese (Brazilian) Language Version

Collapse this imageExpand this image
Download
Portuguese Language Version

Collapse this imageExpand this image
Download
Spanish Language Version

Collapse this imageExpand this image
Download
Swedish Language Version

Collapse this imageExpand this image
Download
Turkish Language Version

For additional information about how to download Microsoft Support files, click the following article number to view the article in the Microsoft Knowledge Base:
119591 How to Obtain Microsoft Support Files from Online Services
Microsoft scanned this file for viruses. Microsoft used the most current virus-detection software that was available on the date that the file was posted. The file is stored on security-enhanced servers that help to prevent any unauthorized changes to the file. The English version of this fix should have the following file attributes or later:
   Date        Time    Version        Size    File name
   -------------------------------------------------------
   10/12/2000  07:19p  7.1.2195.2478  17,168  Pbserver.dll
				

Windows NT 4.0

To resolve this problem, obtain the individual package referenced below or obtain the Windows NT 4.0 Security Rollup Package. For additional information on the SRP, click the article number below to view the article in the Microsoft Knowledge Base:
299444 Post-Windows NT 4.0 Service Pack 6a Security Rollup Package (SRP)
The following file is available for download from the Microsoft Download Center:
Collapse this imageExpand this image
Download
Download Q276575i.exe now
For additional information about how to download Microsoft Support files, click the following article number to view the article in the Microsoft Knowledge Base:
119591 How to Obtain Microsoft Support Files from Online Services
Microsoft scanned this file for viruses. Microsoft used the most current virus-detection software that was available on the date that the file was posted. The file is stored on secure servers that prevent any unauthorized changes to the file.

The English version of this fix should have the following file attributes or later:
   Date        Time    Version        Size    File name
   -------------------------------------------------------
   10/12/2000  04:20p  7.1.2195.2478  17,168  Pbserver.dll
				

Microsoft Windows NT Server version 4.0, Terminal Server Edition

To resolve this problem, obtain the Windows NT Server 4.0, Terminal Server Edition, Security Rollup Package (SRP). For additional information about the SRP, click the article number below to view the article in the Microsoft Knowledge Base:
317636 Windows NT Server 4.0, TerminalServer Edition, Security Rollup Package

Status

Windows 2000

Microsoft has confirmed that this problem may cause a degree of security vulnerability in Microsoft Windows 2000. This problem was first corrected in Windows 2000 Service Pack 2.

Windows NT 4.0

Microsoft has confirmed that this problem may cause a degree of security vulnerability in Microsoft Windows NT 4.0 and Windows NT Server version 4.0, Terminal Server Edition.

Properties

Article ID: 276575 - Last Review: November 2, 2013 - Revision: 6.0
Applies to
  • Microsoft Windows NT Server 4.0, Terminal Server Edition Service Pack 6
  • Microsoft Windows NT Server 4.0 Standard Edition
  • Microsoft Windows NT Server 4.0 Enterprise Edition
Keywords: 
kbnosurvey kbarchive kbhotfixserver kbqfe kbbug kbfix kbgraphxlinkcritical kbsechack kbsecurity kbsecvulnerability kbwin2000presp2fix KB276575

Contact us for more help

Contact us for more help
Connect with Answer Desk for expert help.
Get more support from smallbusiness.support.microsoft.com